Page MenuHomePhabricator

Investigate replacing our custom DNS code with Designate
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productionTurn on the rpc_notifier.

Event Timeline

Andrew created this task.Jan 20 2015, 11:39 PM
Andrew raised the priority of this task from to High.
Andrew updated the task description. (Show Details)
Andrew added a project: Cloud-Services.
Andrew added a subscriber: Andrew.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2015, 11:39 PM

We're hobbled in various ways by our custom OpenStackManager-embedded DNS code. Designate looks like a good candidate for a replacement. https://wiki.openstack.org/wiki/Designate

coren moved this task from Triage to In Progress on the Cloud-Services board.Feb 5 2015, 3:56 PM
Andrew added a comment.Mar 9 2015, 4:42 PM

I continue to think that Designate is promising. The packaging situation is a bit messed up -- the Ubuntu cloud archive folks aren't paying attention to designate, so the only official Ubuntu packages currently available are for Utopic. Faidon is going to take a stab at backporting.

Change 197326 had a related patch set uploaded (by Andrew Bogott):
Turn on the rpc_notifier.

https://gerrit.wikimedia.org/r/197326

Change 197326 merged by Andrew Bogott:
Turn on the rpc_notifier.

https://gerrit.wikimedia.org/r/197326

Update: designate is up and running on holmium. Integration with nova via designate-sink seems to be working.

Bad news is that floating IPs don't seem to be supported for nova-network in designate icehouse. I need to dig into more recent code to see if this is supported in newer versions; otherwise we might have to write it ourselves.

Further update:

The dns server running on labs-ns2.wikimedia.org is serving up ips for names like:

deployment-restbase01.deployment-prep.eqiad.wmflabs

Those are automatically created when instances are created, and removed when instances are deleted.